## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Add a Locale to a Flow

**cURL**

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/addlocalization \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "localeId": "<string>",
  "inheritFromLocaleId": "<string>"
}
'```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/addlocalization"

payload = {
    "localeId": "<string>",
    "inheritFromLocaleId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({localeId: '<string>', inheritFromLocaleId: '<string>'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/addlocalization', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/addlocalization",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",\n  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'localeId' => '<string>',
    'inheritFromLocaleId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

...

### Response Codes
| Code | Description |  
|------|-------------|  
| 400  | Bad Request |  
| 401  | Unauthorized |  
| 404  | Not Found |  
| 500  | Internal Server Error |

### Example Error Responses

**Bad Request Error**
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

...

### Authorizations

- **X-API-Key**  
  - Type: `string`  
  - Location: `header`  
  - Required: Yes

### Headers

- **Accept**  
  - Type: `enum<string>`  
  - Description: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

**flowId**
- Type: `string`  
- Required: Yes  
- Description: The unique identifier for the Flow.  
- Required string length: `24`  
- Pattern: `^[a-z0-9]{24}$`

### Body

- **localeId**  
  - Type: `string`  
  - Required: Yes  
  - Required string length: `24`  
  - Pattern: `^[a-z0-9]{24}$`

- **inheritFromLocaleId**  
  - Type: `string`  
  - Required: Yes  
  - Required string length: `24`  
  - Pattern: `^[a-z0-9]{24}$`

### Response

- **204**  
  - The Locale was added to the Node successfully.  
  
Last modified on July 8, 2026.
